STRUCT TEM(3)

NAME
boost::intrusive::max_pointer_plus_bits

SYNOPSIS

// In header: <boost/intrusive/pointer_plus_bits.hpp>
template<typename VoidPointer, std::size_t Alignment>
struct max_pointer_plus_bits {
  static const std::size_t value;
};

DESCRIPTION

This trait class is used to know if a pointer can embed extra bits of information if it's going to be used to point to objects with an alignment of "Alignment" bytes.